%psmov prolust
%vyst_signal=pp(vst_signal,dolni_mezni_fr, horni_mezni_fr)
%
%function u=pp(s,Fd,Fh);



function u=pp(s,Fd,Fh);

%close all
%clf

f1=1;
fvz=100;
fnq=fvz/2;
T1=1/f1;

t=[0:1/fvz:4*T1];
t=t(1:length(t)-1);
osaf=linspace(0,fvz,length(t));
delka=fix(length(t)/2)

Wvz=2*pi*fvz;
Wnq=pi*fvz;

Wd=Fd/fnq;
Wh=Fh/fnq;
[B,A]=butter(6,[Wd,Wh]);

u=filter(B,A,s);



figure(4)
subwindow(1,2);
	grid on
	plot(t,s,'-');
subwindow(1,2);
	plot(t,u,'-');
	grid on; 
%clf

%%%%%%%%%%%%%%%%%%   kresba ve frekvenn oblasti

S=fft(u);


amplituda=abs(S(1:delka));
argument=arg(S(1:delka));
for i=1:delka
	r=mod(i-1,4);
	if (r!=0) 
		argument(i)=0;
	else
		if amplituda(i)<0.1
			argument(i)=0;
		end
	end
end


figure(5)
subwindow(1,2)
	stem(osaf(1:delka),amplituda);
	grid on
	title('Amplitudov frekvenn spektrum');
	xlabel('f [Hz]'); ylabel('|Ck| [-]');

subwindow(1,2)
	stem(osaf(1:delka),argument);
	%plot(t,suma,"-");
	grid on;
	title('Fzov frekvenn spektrum')
	xlabel('f [Hz]'); ylabel('arg(Ck) [rad]');


