% trojuhelnik
% siganl=trojuhelnik(strida<0..1>,pocet_harmonickych)



function suma=trojuhelnik(strida,n)

close all

f1=1;
fvz=100;
D=3;

T1=1/f1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

t=[0:1/fvz:4*T1];
t=t(1:length(t)-1);

osaf=linspace(0,fvz,length(t));

nastup=fix(strida*100);
sestup=100-nastup;
s=[linspace(0,1,nastup) linspace(1,0,sestup)];
s=0.01*[s s s s];

C=fft(s);
ii=[1:4:400];
C=C(ii);

suma=C(1)/2;

if n>1	
  for k=2:n 
	suma=suma+abs(C(k))*cos(2*pi*(k-1)*f1*t+arg(C(k)));	
  end
end

%%%%%%%%%%%%%%%%%%%%%%%%%  kresba v asov oblasti
if n<11
	p=n;
else
	p=10;
end



figure(1)
subwindow(1,2);
	hold on
	for k=2:p
		plot(t,abs(C(k))*cos(2*pi*(k-1)*f1*t+arg(C(k))));
	end
	grid on
	hold off
	%title('asov prbhy')
	%xlabel('t [s]'); ylabel('s(t) [-]')
subwindow(1,2);
	hold on
	plot(t,suma);
	grid on; 
	hold off
	%xlabel('t [s]'); ylabel('s(t) [-]')

%%%%%%%%%%%%%%%%%%   kresba ve frekvenn oblasti

S=fft(suma);

delka=fix(length(t)/2)

amplituda=abs(S(1:delka));
argument=arg(S(1:delka));
for i=1:delka
	r=mod(i-1,4);
	if (r!=0) 
		argument(i)=0;
	else
		if amplituda(i)<0.1
			argument(i)=0;
		end
	end
end



figure(2)
subwindow(1,2)
	stem(osaf(1:delka),amplituda);
	grid on
	title('Amplitudov frekvenn spektrum');
	xlabel('f [Hz]'); ylabel('|Ck| [-]');

subwindow(1,2)
	stem(osaf(1:delka),argument);
	%plot(t,suma,"-");
	grid on;
	title('Fzov frekvenn spektrum')
	xlabel('f [Hz]'); ylabel('arg(Ck) [rad]');
	


